body {
  font-family: sans-serif, Helvetica;
  margin: 0;
}

h1, h2, h3 {
  margin: 0;
}

.belt {
  padding: 5px 10px;
  border-radius: 10px;
  margin-left: 5px;
  color: #fff;
  font-size: 15px;
  text-transform: uppercase;
}

#menu-bar {
  background: rebeccapurple;
  color: #fff;
  padding: 10px;
}

#menu-bar h1 {
  font-size: 24px;
  font-weight: normal;
  display: inline-block;
}

#menu-bar ul {
  float: right;
  list-style-type: none;
  padding: 0;
  margin: 6px 0;
}

#menu-bar li {
  float: right;
  margin-left: 20px;
}

#menu-bar a {
  color: #fff
}

main {
  background: #eee;
  width: 80%;
  margin: 30px auto;
  border-radius: 10px;
}

.content {
  padding: 20px;
  overflow: hidden;
}

.content button,
.content input[type="submit"] {
  background: #fff;
  padding: 10px;
  border-radius: 10px;
  cursor: pointer;
  color: #777;
  border: 0;
  box-shadow: 2px 2px 2px rgba(20, 20, 20, 0.1);
  font-size: 16px;
}

.content button:nth-child(2) {
  float: right;
}

.content ul {
  padding: 0;
  list-style-type: none;
  margin: 30px 0;
}

.content li {
  padding: 15px 0;
  border-top: 1px solid #e2e2e2;
  color: #444;
}

.content li span {
  float: right;
}

.content li h3 {
  display: inline-block;
  font-weight: normal;
  font-size: 22px;
}

.content input {
  width: 100%;
  padding: 10px 5%;
  border-radius: 5px;
  border: 2px solid #ddd;
  margin: 10px 0;
}

.content input[type="submit"]:last-child {
  width: 150px;
  display: block;
  margin: 15px auto;
}

.content textarea {
  width: 100%;
  border-radius: 5px;
  border: 2px solid #ddd;
  margin: 15px auto;
}

.remove {
  float: right;
  padding: 5px;
  background: #fff;
  width: 32px;
  text-align: center;
  border-radius: 20px;
  color: crimson;
  cursor: pointer;
  margin-left: 10px;
}

.imgstylelist {
  margin: -12px 10px 0 0;
  float: left;
  width: 50px;
}

.h4-homedetail {
  text-align: center;
  font-weight: bold;
}

.img-homedetail {
  width: 80px;
}

/*animasi angular js*/

/* The starting CSS styles for the enter animation */
main.ng-enter {
  transition: 0.5s linear all;
  opacity: 0;
}

/* The finishing CSS styles for the enter animation */
main.ng-enter.ng-enter-active {
  opacity: 1;
}

/*daftar framework animasi add dan remove*/

#csslistfr li.ng-enter {
  transition: 0.2s linear all;
  opacity: 0;
  -webkit-transform: translateY(30px);
  -moz-transform: translateY(30px);
  -ms-transform: translateY(30px);
  -o-transform: translateY(30px);
  transform: translateY(30px);
}

#csslistfr li.ng-enter.ng-enter-active {
  opacity: 1;
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}

/*framework css jika item dihapus dari isi list*/

#csslistfr li.ng-leave {
  transition: 0.3s linear all;
  opacity: 1;
  -webkit-transform: translateX(0px);
  -moz-transform: translateX(0px);
  -ms-transform: translateX(0px);
  -o-transform: translateX(0px);
  transform: translateX(0px);
}

#csslistfr li.ng-leave.ng-leave-active {
  opacity: 0;
  -webkit-transform: translateX(-100%);
  -moz-transform: translateX(-100%);
  -ms-transform: translateX(-100%);
  -o-transform: translateX(-100%);
  transform: translateX(-100%);
}

#csslistfr li.ng-leave-stagger {
  -webkit-transition-delay: 0.2s;
  -moz-transition-delay: 0.2s;
  -ms-transition-delay: 0.2s;
  -o-transition-delay: 0.2s;
  transition-delay: 0.2s;
  -webkit-transition-duration: 0s;
  -moz-transition-duration: 0s;
  -ms-transition-duration: 0s;
  -o-transition-duration: 0s;
  transition-duration: 0s;
}

#formcontact input.ng-invalid.ng-touched, textarea.ng-invalid.ng-touched {
  border: 2px solid red;
}

#formcontact input[disabled="disabled"] {
  opacity: 0.4;
  cursor: not-allowed !important;
}

.validasiketerangan {
  color: red;
  display: block;
  text-align: center;
}





